DUMPE2FS(8)

NAZWA
dumpe2fs - zrzuca dane o systemie plików ext2/ext3/ext4

SKŁADNIA
dumpe2fs [ -bfghixV ] [ -o superblock=superblok ] [ -o blocksize=rozmiar-bloku ] urządzenie

OPIS
dumpe2fs wypisuje superblok i informacje grupy bloków systemu plików znajdującego się na urządzeniu urządzenie.

Uwaga: Gdy program jest używany na zamontowanym systemie plików, to wypisane informacje mogą być nieaktualne lub niespójne.

OPCJE

-b  Wypisuje bloki, które są zaznaczone jako uszkodzone.

-o superblock=superblok
    Używa bloku superblok podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-o bloksize= rozmiar-bloku
    Używa bloków o rozmiarze blocksize bajtów podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-f  Zmusza dumpe2fs aby wyświetlał system plików nawet wtedy, gdy może on mieć ustawione flagi, których dumpe2fs nie rozumie (i które mogą powodować to, że dumpe2fs nie chce ich wyświetlać).

-g  display the group descriptor information in a machine readable colon-separated value format. The fields displayed are the group number; the number of the first block in the group; the superblock location (or -1 if not present); the range of blocks used by the group descriptors (or -1 if not present); the block bitmap location; the inode bitmap location; and the range of blocks used by the inode table.

-h  Wyświetla tylko informacje na temat superbloku bez szczegółów o deskryptorach grup bloków.

-i  Wyświetla dane systemu plików z obrazu znajdującego się w pliku, utworzonego przez e2image, używając urządzenie jako ścieżkę do pliku z obrazem.

-m  If the mmp feature is enabled on the file system, check if device is in use by another node, see e2mmpstatus(8) for full details. If used together with the -i option, only the MMP block information is printed.

-x  Wyświetla szczegółowe informacje na temat grupy bloków w formie szesnastkowej.

-V  Wypisuje numer wersji dumpe2fs i kończy działanie.

KOD ZAKOŃCZENIA
dumpe2fs exits with a return code of 0 if the operation completed without errors. It will exit with a non-zero return code if there are any errors, such as problems reading a valid superblock, bad checksums, or if the device is in use by another node and -m is specified.

BŁĘDY
You may need to know the physical file system structure to understand the output.

AUTOR
dumpe2fs został napisany przez Remy'ego Carda <Remy.Card@linux.org>. Obecnie opiekuje się nim Theodore Ts'o <tytso@alum.mit.edu>.

DOSTĘPNOŚĆ
dumpe2fs jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), e2mmpstatus(8), mke2fs(8), tune2fs(8). ext4(5)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.